VST 3 SDK VST 3.7 SDK for developing VST plug-in

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
FileStream Class Reference

Stream implementation for a file using stdio. More...

`#include <vstpresetfile.h>`

Inheritance diagram for FileStream:

## Public Member Functions
DECLARE_FUNKNOWN_METHODS tresult | read (void *buffer, int32 numBytes, int32 *numBytesRead=nullptr) SMTG_OVERRIDE
tresult | write (void *buffer, int32 numBytes, int32 *numBytesWritten=nullptr) SMTG_OVERRIDE
tresult | seek (int64 pos, int32 mode, int64 *result=nullptr) SMTG_OVERRIDE
tresult | tell (int64 *pos) SMTG_OVERRIDE
virtual tresult | read (void *buffer, int32 numBytes, int32 *numBytesRead=nullptr)=0
virtual tresult | write (void *buffer, int32 numBytes, int32 *numBytesWritten=nullptr)=0
virtual tresult | seek (int64 pos, int32 mode, int64 *result=nullptr)=0
virtual tresult | tell (int64 *pos)=0
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Member Functions
static IBStream * | open (const char *filename, const char *mode)
| open a stream using stdio function More...

## Protected Member Functions
| FileStream (FILE *file)
virtual | ~FileStream ()

## Protected Attributes
FILE * | file

## Additional Inherited Members
Public Types inherited from IBStream
enum | IStreamSeekMode
Public Attributes inherited from IBStream
| kIBSeekSet
| kIBSeekCur
| kIBSeekEnd
Static Public Attributes inherited from IBStream
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Stream implementation for a file using stdio.

## Constructor & Destructor Documentation

## ◆ FileStream()

FileStream | ( | FILE * | file | ) |
| protected

## ◆ ~FileStream()

~FileStream | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ open()

IBStream * open | ( | const char * | filename,
|  | const char * | mode
| ) |  |
| static

open a stream using stdio function

## ◆ read()

DECLARE_FUNKNOWN_METHODS tresult read | ( | void * | buffer,
|  | int32 | numBytes,
|  | int32 * | numBytesRead = `nullptr`
| ) |  |
| virtual

Implements IBStream.

## ◆ write()

tresult write | ( | void * | buffer,
|  | int32 | numBytes,
|  | int32 * | numBytesWritten = `nullptr`
| ) |  |
| virtual

Implements IBStream.

## ◆ seek()

tresult seek | ( | int64 | pos,
|  | int32 | mode,
|  | int64 * | result = `nullptr`
| ) |  |
| virtual

Implements IBStream.

## ◆ tell()

tresult tell | ( | int64 * | pos | ) |
| virtual

Implements IBStream.

## Member Data Documentation

## ◆ file

FILE* file
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.